framework:
    workflows:
        orden_merito:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estadoRegistro'
            supports:
                - App\Entity\OrdenMerito\OrdenMerito
            initial_marking: Borrador
            places:
                - Borrador
                - Terminado
            transitions:
                guardar:
                    from: [Borrador, Terminado]
                    to:   Borrador
                editar:
                    from: [Terminado]
                    to:   Borrador
                terminar:
                    from: [Borrador, Terminado]
                    to:   Terminado
                    
        orden_merito_estado_merito:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estadoMerito'
            supports:
                - App\Entity\OrdenMerito\OrdenMerito
            initial_marking: Provisorio
            places:
                - Provisorio
                - Definitivo
            transitions:
                definir:
                    from: [Provisorio, Definitivo]
                    to:   Definitivo
                